groovy.text.markup

## Class DelegatingIndentWriter

- java.lang.Object
- - java.io.Writer
  - - groovy.text.markup.DelegatingIndentWriter

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.Appendable, java.lang.AutoCloseable

      public class DelegatingIndentWriter
      extends java.io.Writer

  A writer which delegates to another writer and supports an additional indenting level.
  Author:
    Cedric Champeau

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SPACES`
    `static java.lang.String` | `TAB`

    - ### Fields inherited from class java.io.Writer

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelegatingIndentWriter(java.io.Writer delegate)`
    `DelegatingIndentWriter(java.io.Writer delegate, java.lang.String indentString)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.Writer` | `append(char c)`
    `java.io.Writer` | `append(java.lang.CharSequence csq)`
    `java.io.Writer` | `append(java.lang.CharSequence csq, int start, int end)`
    `void` | `close()`
    `void` | `flush()`
    `int` | `next()`
    `int` | `previous()`
    `void` | `write(char[] cbuf)`
    `void` | `write(char[] cbuf, int off, int len)`
    `void` | `write(int c)`
    `void` | `write(java.lang.String str)`
    `void` | `write(java.lang.String str, int off, int len)`
    `void` | `writeIndent()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SPACES

          public static final java.lang.String SPACES

      See Also:
        Constant Field Values

    - #### TAB

          public static final java.lang.String TAB

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DelegatingIndentWriter

          public DelegatingIndentWriter(java.io.Writer delegate)

    - #### DelegatingIndentWriter

          public DelegatingIndentWriter(java.io.Writer delegate,
                                        java.lang.String indentString)

  - ### Method Detail

    - #### write

          public void write(int c)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.Writer`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(char[] cbuf)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.Writer`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(char[] cbuf,
                            int off,
                            int len)
                     throws java.io.IOException

      Specified by:
        `write` in class `java.io.Writer`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(java.lang.String str)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.Writer`
      Throws:
        `java.io.IOException`

    - #### write

          public void write(java.lang.String str,
                            int off,
                            int len)
                     throws java.io.IOException

      Overrides:
        `write` in class `java.io.Writer`
      Throws:
        `java.io.IOException`

    - #### append

          public java.io.Writer append(java.lang.CharSequence csq)
                                throws java.io.IOException

      Specified by:
        `append` in interface `java.lang.Appendable`
      Overrides:
        `append` in class `java.io.Writer`
      Throws:
        `java.io.IOException`

    - #### append

          public java.io.Writer append(java.lang.CharSequence csq,
                                       int start,
                                       int end)
                                throws java.io.IOException

      Specified by:
        `append` in interface `java.lang.Appendable`
      Overrides:
        `append` in class `java.io.Writer`
      Throws:
        `java.io.IOException`

    - #### append

          public java.io.Writer append(char c)
                                throws java.io.IOException

      Specified by:
        `append` in interface `java.lang.Appendable`
      Overrides:
        `append` in class `java.io.Writer`
      Throws:
        `java.io.IOException`

    - #### flush

          public void flush()
                     throws java.io.IOException

      Specified by:
        `flush` in interface `java.io.Flushable`
      Specified by:
        `flush` in class `java.io.Writer`
      Throws:
        `java.io.IOException`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in class `java.io.Writer`
      Throws:
        `java.io.IOException`

    - #### next

          public int next()

    - #### previous

          public int previous()

    - #### writeIndent

          public void writeIndent()
                           throws java.io.IOException

      Throws:
        `java.io.IOException`